Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

New API endpoints, new webhook events, and new fields in a dozen existing API endpoints

API releaseNew feature

Summary:Three new API endpoints; new Reports, Messaging, Engagements, and Users webhook events; and new fields in Queues, Reports, Teams, Engagements, and Logs API endpoints.

Added

  • New Reports V2(CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/disposition
  • New Messaging API:
    • POST /v2/contact_center/messages
  • New Queues API:
    • PATCH /v2/contact_center/queues/{queueId}/interrupt
  • New Reports V2(CX Analytics) Webhook event:
    • contact_center.cx_engagement_end_data_ready
  • New Messaging Webhook event:
    • contact_center.message_status
  • New Users Webhook event:
    • contact_center.user_phone_numbers_unassigned
    • contact_center.user_skills_unassigned
    • contact_center.user_phone_numbers_assigned
    • contact_center.user_skills_assigned
  • New Engagements Webhook event:
    • contact_center.legacy_engagement_end_data_ready

Changed

  • New work_item_hyperlink, variables, work_item_type_id, and variables response fields in this Engagements API:
    • POST /v2/contact_center/engagement
  • New assign_type, cc_queue_id, and queue_name response fields in these Queues APIs:
    • POST /v2/contact_center/queues/{queueId}/dispositions/sets
    • POST /v2/contact_center/queues/{queueId}/dispositions
    • GET /v2/contact_center/queues/{queueId}/dispositions
    • GET /v2/contact_center/queues/{queueId}/dispositions/sets
  • New queue, flow, and rate response fields in these Logs APIs:
    • GET /v2/contact_center/voice_calls
    • GET /v2/accounts/{accountId}/contact_center/voice_calls
  • New page_size request field in these Queues APIs:
    • GET /v2/contact_center/queues/{queueId}/dispositions
    • GET /v2/contact_center/queues/{queueId}/dispositions/sets
  • New segment_type, team_name, reason_details, conference_participant, page_size, team_id, and exemption response fields in these Recordings APIs:
    • GET /v2/contact_center/users/{userId}/recordings
    • GET /v2/contact_center/recordings
    • GET /v2/contact_center/queues/{queueId}/recordings
    • GET /v2/contact_center/engagements/{engagementId}/recordings
  • New level response field in this Teams API:
    • GET /v2/contact_center/teams/{teamId}/children
  • New transfer_count response field in this Engagements API:
    • GET /v2/contact_center/engagements/{engagementId}
  • New page_size request field in this Variables API:
    • GET /v2/contact_center/variable_logs
  • New calls_skipped_count response field in this Reports V2(CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/outbound_dialer_performance
  • New assign_type request field in these Queues APIs:
    • DELETE /v2/contact_center/queues/{queueId}/dispositions/sets/{dispositionSetId}
    • POST /v2/contact_center/queues/{queueId}/dispositions/sets
    • POST /v2/contact_center/queues/{queueId}/dispositions
    • DELETE /v2/contact_center/queues/{queueId}/dispositions/{dispositionId}